#
# $Id$
#
# Avoids to generate debug packages
%global debug_package %{nil}

Summary:	Mindi creates emergency boot disks/CDs using your kernel, tools and modules
Name:		mindi
Version:	3.0.2
Release:	%mkrel 1
License:	GPL
Group:		Archiving/Backup
Url:		http://www.mondorescue.org
Source:		ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz
# Not yet possible as busybox is a binary that should go alongside
# BuildArch:	noarch
Requires:	bash
Requires:	bzip2 >= 0.9
Requires:	mkisofs
Requires:	ncurses
Requires:	binutils
Requires:	gawk
Requires:	dosfstools
Requires:	mindi-busybox >= 1.21.1
Requires:	parted
Requires:	perl-MondoRescue
Requires:	mtools
Requires:	syslinux
Requires:	perl-Module-ScanDeps
Requires:	perl-IO-Interface
ExcludeArch:	ppc
 
# Not on all systems
#Conflicts:	bonnie++

%description
Mindi takes your kernel, modules, tools and libraries, and puts them on N
bootable disks (or 1 bootable CD image). You may then boot from the disks/CD
and do system maintenance - e.g. format partitions, backup/restore data,
verify packages, etc.

It is part of the MondoRescue suite for which it creates boot media.
Homepage: http://www.mondorescue.org

%prep
%setup -q

%build

%install
export DONT_RELINK=1

export HEAD=${RPM_BUILD_ROOT}
export PREFIX=%{_exec_prefix}
export CONFDIR=%{_sysconfdir}
export MANDIR=%{_mandir}
export SBINDIR=%{_sbindir}
#export DOCDIR=%%{_docdir}
export LIBDIR=%{_libdir}
export CACHEDIR=%{_var}/cache/%{name}
export PKGBUILDMINDI="true"

./install.sh

%files
%config(noreplace) %{_sysconfdir}/%{name}
%doc ChangeLog COPYING README TODO README.* NEWS 
#svn.log
%{_mandir}/man8/*
%{_libdir}/%{name}/
%{_sbindir}/*
%{_var}/cache/%{name}


%changelog
* Fri Apr 29 2016 bcornec <bcornec> 3.0.2-1.mga6
+ Revision: 1007747
- Update to upstream mindi 3.0.2

* Mon Feb 15 2016 umeabot <umeabot> 2.1.7-6.mga6
+ Revision: 961398
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 daviddavid <daviddavid> 2.1.7-5.mga6
+ Revision: 895232
- disable debug package (can not yet be a noarch package)

* Wed Oct 15 2014 umeabot <umeabot> 2.1.7-4.mga5
+ Revision: 746127
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.7-3.mga5
+ Revision: 682395
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.1.7-2.mga4
+ Revision: 535018
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 bcornec <bcornec> 2.1.7-1.mga4
+ Revision: 480692
- Updated to upstream mindi 2.1.7

* Mon Mar 18 2013 bcornec <bcornec> 2.1.4-1.mga4
+ Revision: 403701
- Updated to upstream mindi 2.1.4 bug fixes

* Sat Jan 12 2013 umeabot <umeabot> 2.1.1-2.mga3
+ Revision: 360088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 26 2012 bcornec <bcornec> 2.1.1-1.mga2
+ Revision: 215146
- Update to upstream 2.1.1

* Fri May 20 2011 bcornec <bcornec> 2.0.7.7-1.mga1
+ Revision: 99889
- Update to upstream mindi 2.0.7.7

* Mon Mar 21 2011 bcornec <bcornec> 2.0.7.6-1.mga1
+ Revision: 75247
- Update mindi to upstream 2.0.7.6

* Sat Feb 12 2011 bcornec <bcornec> 2.0.7.5-1.mga1
+ Revision: 50756
- No changelog needed
- Created package structure for mindi.

